Skip to content
View in the app

A better way to browse. Learn more.

Unraid

A full-screen app on your home screen with push notifications, badges and more.

To install this app on iOS and iPadOS
  1. Tap the Share icon in Safari
  2. Scroll the menu and tap Add to Home Screen.
  3. Tap Add in the top-right corner.
To install this app on Android
  1. Tap the 3-dot menu (⋮) in the top-right corner of the browser.
  2. Tap Add to Home screen or Install app.
  3. Confirm by tapping Install.

MowMdown

Members
  • Joined

  • Last visited

Everything posted by MowMdown

  1. Question. I have HTTP AUTH enabled for my dockers proxied, however I need to expose an endpoint for SAB to be able to fetch from Hydra. Obviously when SAB goes to do that currently, its met with a 401 not authorized. is there a way to expose the endpoint needed to fetch The NZB from hydra without exposing the entire domain? hydra.mydomain.tld/getnzb is what I need to expose for this to work. Is what I need possible with NPM? Or... is there a way to whitelist SAB from requiring authorization?
  2. @munit85 Sounds like you have something mis-configured at the least. Force an update on the container then just try it with transcoding to ram, if that works we can rule out the Nvidia script. do it in layers until you find the problem.
  3. It allows you to use NVDEC with Plex. Basically what happens is it uses the GPU to decode the media before sending it to the client so the client doesn't have to decode the stream. You will still need plexpass to be able to use Hardware Transcoding.
  4. There is a bug in your new code specifically: command="/usr/lib/plexmediaserver/plex-nvdec-patch.sh" if [ "$codec_arguments" ]; then #This line is recursive, it duplicates the codecs in the Plex Transcoder file (we don't need it) #command+="${codec_arguments}" docker exec -i "$con" /bin/sh -c "${command}${codec_arguments}" else docker exec -i "$con" /bin/sh -c "${command}" fi What ends up happening is that in the "Plex Transcoder" file, you end up with ALLOWED_CODECS=("h264" "hevc" "h264" "hevc") Removing that line of code fixes the issue. You don't need to concatenate the "command+="${codec_arguments}" because it's already being taken care of at the next line where the docker exec code is taking place.
  5. I found a new/updated plex NVDEC script off the Plex Forums, it allows you to set specific codecs that are allowed to be decoded by the GPU, the rest get CPU decoded. #!/bin/bash # This should always return the name of the docker container running plex - assuming a single plex docker on the system. con="$(docker ps --format "{{.Names}}" | grep -i plex)" echo -n "<b>Applying hardware decode patch... </b>" # Check to see if patch script exists first. exists=$(docker exec -i "$con" stat "/usr/lib/plexmediaserver/Plex Transcoder2" >/dev/null 2>&1; echo $?) if [ "$exists" -eq 1 ]; then # If it doesn't, we run the clause below # For Legibility and future updates - if needed, use a heredoc to create the wrapper: docker exec -i "$con" /bin/sh -c 'sed "s/\(^\t\t\)//g" > "plex-nvdec-patch.sh";' <<'@EOF' #!/bin/bash PLEX_PATH="/usr/lib/plexmediaserver" CODECS=() ALLOWED_CODECS=("h264" "hevc" "mpeg2video" "mpeg4" "vc1" "vp8" "vp9") USAGE="Usage: $(basename $0) [OPTIONS] -p, --path Manually define the path to the folder containing the Plex Transcoder -c, --codec Whitelistes codec to enable NVDEC for. When defined, NVDEC will only be enabled for defined codecs. Use -c once per codec -u, --uninstall Remove the NVDEC patch from Plex Available codec options are: h264 (default) H.264 / AVC / MPEG-4 AVC / MPEG-4 part 10 hevc (default) H.265 / HEVC (High Efficiency Video Coding) mpeg2video MPEG-2 video mpeg4 MPEG-4 part 2 vc1 SMPTE VC-1 vp8 (default) On2 VP8 vp9 (default) Google VP9" contains() { typeset _x; typeset -n _A="$1" for _x in "${_A[@]}" ; do [ "$_x" = "$2" ] && return 0 done return 1 } while (( "$#" )); do case "$1" in -p|--path) PLEX_PATH=$2 shift 2 ;; -c|--codec) if contains ALLOWED_CODECS "$2"; then CODECS+=("$2") else echo "ERROR: Incorrect codec $2, please refer to --help for allowed list" >&2 exit 1 fi shift 2 ;; -u|--uninstall) uninstall=1 shift 1 ;; -h|--help|*) echo "$USAGE" exit ;; esac done if [ ${#CODECS[@]} -eq 0 ]; then CODECS=("h264" "hevc" "vp8" "vp9") fi if [ "$EUID" -ne 0 ]; then echo "Please run as root or with sudo" exit 1 fi if [ ! -f "$PLEX_PATH/Plex Transcoder" ]; then if [ -f "/usr/lib64/plexmediaserver/Plex Transcoder"]; then PLEX_PATH="/usr/lib64/plexmediaserver" else echo "ERROR: Plex transcoder not found. Please ensure plex is installed and use -p to manually define the path to the Plex Transcoder" >&2 exit 1 fi fi pcheck=$(tail -n 1 "$PLEX_PATH/Plex Transcoder" | tr -d '\0') if [ "$uninstall" == "1" ]; then if [ "$pcheck" == "##patched" ]; then if pgrep -x "Plex Transcoder" >/dev/null ; then echo "ERROR: Plex Transcoder is currently running. Please stop any open transcodes and run again" >&2 exit 1 fi mv "$PLEX_PATH/Plex Transcoder2" "$PLEX_PATH/Plex Transcoder" echo "Uninstall of patch complete!" exit else echo "ERROR: NVDEC Patch not detected as installed. Cannot uninstall." exit 1 fi fi if [ "$pcheck" == "##patched" ]; then echo "Patch has already been applied! Reapplying wrapper script" else if pgrep -x "Plex Transcoder" >/dev/null ; then echo "ERROR: Plex Transcoder is currently running. Please stop any open transcodes and run again" >&2 exit 1 fi mv "$PLEX_PATH/Plex Transcoder" "$PLEX_PATH/Plex Transcoder2" fi for i in "${CODECS[@]}"; do cstring+='"'"$i"'" ' done cstring="${cstring::-1}" cat > "$PLEX_PATH/Plex Transcoder" <<< '#!/bin/bash' cat >> "$PLEX_PATH/Plex Transcoder" <<< 'PLEX_PATH="'"$PLEX_PATH"'"' cat >> "$PLEX_PATH/Plex Transcoder" <<< 'ALLOWED_CODECS=('"$cstring"')' cat >> "$PLEX_PATH/Plex Transcoder" <<< ' contains() { typeset _x; typeset -n _A="$1" for _x in "${_A[@]}" ; do [ "$_x" = "$2" ] && return 0 done return 1 } allowed_codec() { for i in "$@"; do if [ "-i" == "$i" ]; then return 1 elif contains ALLOWED_CODECS "$i"; then return 0 fi done return 1 } if allowed_codec $*; then exec "$PLEX_PATH/Plex Transcoder2" -hwaccel nvdec "$@" else exec "$PLEX_PATH/Plex Transcoder2" "$@" fi ##patched' chmod +x "$PLEX_PATH/Plex Transcoder" echo "Patch applied successfully!" @EOF # chmod the new script to be executable: docker exec -i "$con" chmod +x "./plex-nvdec-patch.sh" # now we execute the script: docker exec -i "$con" bash -c "./plex-nvdec-patch.sh" echo '<font color="green"><b>Done!</b></font>' # Green means go! else # If we ended up here, the patch didn't even try to run, presumably because the patch was already applied. echo '<font color="red"><b>Patch already applied!</b></font>' # Red means stop! fi To alter the defaults simply append "-c codec" to the execution command like so: docker exec -i "$con" bash -c "./plex-nvdec-patch.sh -c h264 -c hevc -c vp8 -c vp9" Source/Credits: https://github.com/revr3nd/plex-nvdec and @Xaero for his script here: https://gist.github.com/Xaero252/9f81593e4a5e6825c045686d685e2428
  6. I'm not sure what you keep in /tmp that is of high concern but my /tmp doesn't contain any sensitive data...
  7. @nadbmal that's because you're not mapping directly to /tmp you're mapping to /tmp/plexram (don't do this) Plex cannot generate /plexram once it's deleted. That's why in your situation when you delete that directory it fails to transcode. it's looking for a folder that doesn't exist (docker is creating this path not plex) Just use /tmp as the transcode directory Plex will autogenerate /Transcode/Sessions every time on its own when a transcode is needed. you will never run into that issue doing it the proper way I described here:
  8. I mean excluding those, that's my bad. Those I listed DO support proxies, I was talking about basically all other dockers that don't. I wanted to put anything that DOESNT have proxy support behind a proxy using the --env flag. However it doesn't seem to work. For example (bad example) my pihole docker, it dosent have proxy support form within, and if I wanted to run it behind a proxy the --env flag doesn't actually put it behind the proxy. I took your delugevpn docker, disabled the VPN/Privoxy settings and used the --env flag to try it that way and it didn't mask the IP address.
  9. Question: I've tried using the env flag such as this: --env HTTPS_PROXY="https://192.168.1.200:8888" for docker containers that do not support an HTTP proxy from within. (such as sonar/radar/hydra) This flag doesn't seem to work putting the specified containers behind the proxy. Is what I'm attempting to do not possible using the privoxy container? I was following this: https://docs.docker.com/network/proxy/
  10. Not for me, it creates both. I tested it by deleting both while I was transcoding, then a second later both directories were auto-generated again and the session resumed. If you map only "/tmp" that is.
  11. It creates it when you run a Transcode session.
  12. Plex creates "/Transcode/Session" inside of /tmp automatically if you specifiy "/tmp/Transcode" you'll end up with "/tmp/Transcode/Transcode/Session"
  13. You guys are making this much more complicated than it needs to be. Just set the host path to: /tmp and then set the container path to: /transcode then inside Plex at the webgui, tell it to transcode to "/transcode" (no quotes)
  14. So I like to VPN into my network using OpenVPN-as but I cannot seem to find a way to get pihole adblocking to work this way. Anyone able to enable pihole blocking when VPN'd in? I gave my pihole docker it's own IP using the custom IP setting of 192.168.1.2. It works inside my wifi network, just not when connected through the VPN. I've gone into the VPNs webserver settings and manually set the DNS from 192.168.1.1 to 192.168.1.2 and once I've done that I can no longer resolve DNS... I would hate to go back to using my RPi for pihole when using it on unraid is much easier to maintain....
  15. Just a heads up for anyone who updated to SAB 2.3.3 and regularly access SAB via reverse proxy https://sabnzbd.org/wiki/extra/hostname-check.html
  16. Tidusjar has released OmbiV3 publicly on Reddit in the PleX Reddit just as an fyi.
  17. To use HTTPS for security and Let’s Encrypt has also been baked if for added authentication (or something to that effect)
  18. Unraid uses 80 & 443 on 6.4.0 set lets encrypt to something like 445 then on your router forward port 445 -->(to) 443
  19. Unfortunately I'm not aware of any other way to get it to properly connect without the auto-login profile. None of my devices will connect without it.
  20. Thats the only way I was able to get it to work on my iPhone
  21. Try the "Auto-Login" Profile.
  22. @Diode663 Why not just set the lets encrypt container to use ports 81 & 444 then just forward 81 --> 80 and 444 --> 443 at the router firewall? this is what I did and it works just fine...
  23. SabNZBd only looks in "/mnt/user/downloads/complete" because thats what it knows to do. (based on how you set it up)
  24. That’s all dependent on who’s container you use. Binhex uses just one, /data, LSIO uses both it appears so yes you need to specifiy completed and incomplete

Account

Navigation

Search

Search

Configure browser push notifications

Chrome (Android)
  1. Tap the lock icon next to the address bar.
  2. Tap Permissions → Notifications.
  3. Adjust your preference.
Chrome (Desktop)
  1. Click the padlock icon in the address bar.
  2. Select Site settings.
  3. Find Notifications and adjust your preference.